# $Revision: 1.49 $, $Date: 2010/09/21 19:00:02 $
Summary:	Eartraining program for GNOME
Summary(de.UTF-8):	Gehörbildungssoftware für GNOME
Summary(pl.UTF-8):	Program do ćwiczenia słuchu dla GNOME
Name:		solfege
Version:	3.14.9
Release:	4
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/solfege/%{name}-%{version}.tar.gz
# Source0-md5:	487c9df5caae642f1f0758758717e7a8
Patch0:		%{name}-fix.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-paths.patch
URL:		http://solfege.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.17
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-pygtk-devel >= 2.6.0
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python >= 1.3.25
BuildRequires:	texinfo
# xml2po >= 0.4 - required only on en manual changes
Requires:	python-pygtk-gtk >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Solfege is an eartraining program for X written in python, using the
GTK+ and GNOME libraries. This is a development release, things might
be broken. See INSTALL file if you have problems running or installing
Solfege. Report your problems to solfege-devel@lists.sourceforge.net .

Eartraining is a big subject with many connections to music theory and
performance of music, so I won't even try to make "a complete
computerbased eartraining course". But I hope someone find this
software useful.

%description -l de.UTF-8
Solfege ist eine Gehörbildungssoftware geschrieben in Python für X,
die GTK+ und GNOME Bibliotheken verwendet. Es handelt sich hierbei um
eine Entwicklerversion, manches mag noch Fehler haben. Dem INSTALL
Text können Informationen entnommen werden, falls Probleme bei der
Installation oder der Ausführung auftreten sollten. Probleme können
solfege-devel@lists.sourceforge.net mitgeteilt werden.

Gehörbildung stellt eine große Anforderung an viele Bereiche der
Musiktheorie dar, weshalb ich nicht versucht habe, einen vollständigen
Computerkurs Gehörbildung zu erstellen. Ich hoffe aber, dass so
mancher diese Software hilfreich findet.

%description -l pl.UTF-8
Solfege jest programem do ćwiczenia słuchu dla X napisanym w Pythonie,
używającym bibliotek GTK+ i GNOME. Jest w stadium rozwoju, część
funkcji może nie działać prawidłowo - problemy zgłaszaj na adres
solfege-devel@lists.sourceforge.net .

Ćwiczenie słuchu to rozległy temat, z wieloma powiązaniami do teorii
muzyki i jej wykonywania, więc autor nawet nie próbował stworzyć
kompletnego narzędzia. Ale ma nadzieję, że komuś się przyda.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	RSVG=%{_bindir}/rsvg \
	LILYPOND=%{_bindir}/lilypond \
	BZR=%{_bindir}/bzr \
	GS=%{_bindir}/gs \
	PYTHON=/usr/bin/python \
	--enable-docbook-stylesheet=/usr/share/sgml/docbook/xsl-stylesheets/html/chunk.xsl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# _solfege_c_midi.so file must be in the same directory where solfege_c_midi.py
# and it must be in %{_libdir} because .so is platform dependant
mv $RPM_BUILD_ROOT{%{_datadir},%{_libdir}}/%{name}/soundcard
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/{,soundcard/}_solfege_c_midi.so

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
find $RPM_BUILD_ROOT%{_datadir}/solfege -name '*.py' | xargs rm -f
%py_comp $RPM_BUILD_ROOT%{_libdir}/%{name}
find $RPM_BUILD_ROOT%{_libdir} -name '*.py' | xargs rm -f

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ README changelog
%attr(755,root,root) %{_bindir}/solfege
%dir %{_libdir}/solfege
%dir %{_libdir}/solfege/soundcard
%attr(755,root,root) %{_libdir}/solfege/soundcard/_solfege_c_midi.so
%dir %{_libdir}/solfege/soundcard/*.pyc
%dir %{_datadir}/solfege
%{_datadir}/solfege/example-lesson-files
%{_datadir}/solfege/feta
%{_datadir}/solfege/graphics
%dir %{_datadir}/solfege/help
%{_datadir}/solfege/help/style.css
%{_datadir}/solfege/help/C
%lang(fr) %{_datadir}/solfege/help/fr
%lang(gl) %{_datadir}/solfege/help/gl
%lang(nb) %{_datadir}/solfege/help/nb
%lang(nl) %{_datadir}/solfege/help/nl
%lang(pl) %{_datadir}/solfege/help/pl
%lang(pt_BR) %{_datadir}/solfege/help/pt_BR
%lang(ru) %{_datadir}/solfege/help/ru
%lang(tr) %{_datadir}/solfege/help/tr
%{_datadir}/solfege/default.config
%{_datadir}/solfege/hash-bug-workaround
%{_datadir}/solfege/learningtrees
%{_datadir}/solfege/lesson-files
%{_datadir}/solfege/mpd
%{_datadir}/solfege/regression-lesson-files
%{_datadir}/solfege/solfege.gtkrc
%{_datadir}/solfege/src
%{_datadir}/solfege/themes
%{_datadir}/solfege/*.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/solfege*
%{_pixmapsdir}/solfege.png
%{_desktopdir}/solfege.desktop
%{_mandir}/man1/solfege.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: solfege.spec,v $
Revision 1.49  2010/09/21 19:00:02  glen
- release 4

Revision 1.48  2010/05/16 01:02:24  sparky
- BR: gnome-doc-utils, rpm-pythonprov
- dropped not really used BR: docbook-style-xsl, ghostscript, librsvg,
  libxslt-progs, lilypond, m4, tetex-dvips, txt2man
- pass paths of some applications to configure (rsvg, gs, ...)

Revision 1.47  2010/05/12 13:24:32  baggins
- rel 3

Revision 1.46  2009/11/28 17:47:49  jajcus
- Release: 2

Revision 1.45  2009/11/28 12:22:06  jajcus
- use @libdir@ and @datadir@ instead of hardcoded 'lib' and 'share' in run-solfege.py.in – fixes startup on x86_64

Revision 1.44  2009/11/28 10:39:02  jajcus
- Version: 3.14.9
- _solfege_c_midi.so module loading fixed
- python files compiled

Revision 1.43  2009/06/21 07:57:23  gotar
- upgraded to 3.14.4

Revision 1.42  2008/11/16 06:25:40  pawelz
- up to 3.12.0
- BR: txt2man

Revision 1.41  2007/02/18 20:21:13  qboosh
- updated to 3.7.0

Revision 1.40  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.38  2006/12/10 21:39:42  qboosh
- updated to 3.6.4
- updated fix,desktop patches, removed obsolete DESTDIR,po patches
- python-gnome no longer required

Revision 1.37  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.36  2005/06/27 00:10:41  saq
- as of 1.3.25, swig subpackages actually contain something useful
- missing BR

Revision 1.35  2005/04/15 19:51:28  darekr
- BR: perl-base

Revision 1.34  2005/03/13 10:53:46  paszczus
- reverted

Revision 1.32  2004/11/14 21:48:29  havner
- rel up for rebuild with python-pygtk

Revision 1.31  2004/11/04 11:59:38  paladine
- rel 2 for fixed desktop patch

Revision 1.30  2004/09/04 16:00:24  qboosh
- updated to 2.1.4, removed obsolete exdata patch

Revision 1.29  2004/08/04 06:23:34  ankry
- i18n fixes (-po patch), rel. 3

Revision 1.28  2004/07/14 20:36:27  ankry
- fixed license, updated desktop, rel. 2

Revision 1.27  2004/07/06 18:44:32  qboosh
- updated to 2.1.3, updated DESTDIR patch, added exdata patch

Revision 1.26  2004/03/27 19:31:54  qboosh
- updated to 2.1.1, updated patches, switched to desktopdir

Revision 1.25  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.24  2003/12/03 00:09:28  qboosh
- updated to 2.1.0, new-style bcond

Revision 1.23  2003/10/23 18:42:58  qboosh
- 2.0.3

Revision 1.22  2003/10/08 19:20:01  qboosh
- updated to 2.0.2

Revision 1.21  2003/09/07 20:03:42  qboosh
- 2.0.0, updated DESTDIR and fix patches

Revision 1.20  2003/08/24 19:07:22  qboosh
- up to 1.9.99, more fixes added to fix patch
- removed *.py

Revision 1.19  2003/07/17 23:28:02  qboosh
- fixed build without gnome

Revision 1.18  2003/07/16 09:05:23  qboosh
- up to 1.9.11

Revision 1.17  2003/07/11 08:42:48  qboosh
- BR: libxslt-progs 1.0.31 (now xsltproc doesn't crash)

Revision 1.16  2003/07/03 13:00:35  qboosh
- fixed build with GNOME, more deps

Revision 1.15  2003/07/01 22:14:40  qboosh
- up to 1.9.10, added fix and DESTDIR patches

Revision 1.14  2003/05/28 13:01:59  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.11  2003/02/15 23:01:13  ankry
- Vendor field fix

Revision 1.10  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.9  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.8  2002/11/29 22:46:38  ankry
- massive attack: new %%doc

Revision 1.7  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/18 12:02:04  qboosh
- typo, switched to ftp, pl translations

Revision 1.4  2001/05/02 21:51:29  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2001/02/25 19:22:12  kloczek
- updated to 0.7.31,
- fixed %build: now package compiles but still isn't finished %install and
  %files probably also is not complet.

Revision 1.2  2001/01/23 01:21:00  kloczek
- patrialy rewrited but seems source tar ball not ready jet for regular release.
